summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ruari Oedegaard <sbo@ruari.com>2012-08-11 14:20:03 -0400
committer Robby Workman <rworkman@slackbuilds.org>2012-08-14 22:30:49 -0500
commit7c4462dd7684741dc54da555e82cde7939a417aa (patch)
tree82e88296d6638afd7bb6699d9cb3392a6b673e2d
parent04f1f5397a2610313f343cf6184f501abb194c04 (diff)
downloadslackbuilds-7c4462dd7684741dc54da555e82cde7939a417aa.tar.gz
slackbuilds-7c4462dd7684741dc54da555e82cde7939a417aa.tar.xz
system/afio: Added (archiver program)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/afio/README8
-rw-r--r--system/afio/afio.SlackBuild69
-rw-r--r--system/afio/afio.info10
-rw-r--r--system/afio/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/system/afio/README b/system/afio/README
new file mode 100644
index 0000000000..51e85268ab
--- /dev/null
+++ b/system/afio/README
@@ -0,0 +1,8 @@
+Afio makes compressed archives that are safer than compressed tar or
+cpio archives, allowing better handling of input data corruption. Afio
+also supports multi-volume archives during interactive operation.
+
+Afio makes cpio archives with ASCII-formatted header information (odc).
+Where the odc format cannot represent some files and file properties
+that could be present on a modern UNIX filesystem, it uses an afio-
+specific 'large ASCII' header for the files concerned.
diff --git a/system/afio/afio.SlackBuild b/system/afio/afio.SlackBuild
new file mode 100644
index 0000000000..bbae7b7e9b
--- /dev/null
+++ b/system/afio/afio.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for afio
+
+# Written by ruario <sbo@ruari.com>
+
+PRGNAM=afio
+VERSION=${VERSION:-2.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+else
+ SLKCFLAGS=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed "s/\(^CFLAGS = \)/\1 $SLKCFLAGS /" -i.original Makefile
+make
+
+install -Dm755 afio $PKG/usr/bin/afio
+install -Dm644 afio.1 $PKG/usr/man/man1/afio.1
+
+strip --strip-unneeded $PKG/usr/bin/afio
+gzip $PKG/usr/man/man1/afio.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ANNOUNCE* HISTORY INSTALLATION PORTING README* SCRIPTS script* afio_license_issues_*.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l n -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/afio/afio.info b/system/afio/afio.info
new file mode 100644
index 0000000000..f48836a1dc
--- /dev/null
+++ b/system/afio/afio.info
@@ -0,0 +1,10 @@
+PRGNAM="afio"
+VERSION="2.5.1"
+HOMEPAGE="http://members.chello.nl/~k.holtman/afio.html"
+DOWNLOAD="http://members.chello.nl/~k.holtman/afio-2.5.1.tgz"
+MD5SUM="03a04d7b16684dce6c628eba5a4c7c93"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ruari Oedegaard"
+EMAIL="sbo@ruari.com"
+APPROVED="dsomero"
diff --git a/system/afio/slack-desc b/system/afio/slack-desc
new file mode 100644
index 0000000000..33cd43c4c5
--- /dev/null
+++ b/system/afio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+afio: afio (archiver and backup program with internal compression support)
+afio:
+afio: Afio can make compressed archives that are safer than compressed tar
+afio: or cpio archives, allowing better handling of input data corruption.
+afio: Afio also supports multi-volume archives during interactive operation.
+afio:
+afio: Afio makes cpio archives with ASCII-formatted header information (odc)
+afio: Where the odc format cannot represent some files and file properties
+afio: that could be present on a modern UNIX filesystem, it uses an afio-
+afio: specific 'large ASCII' header for the files concerned.
+afio: